Skip to main content
Contract / Events

Create contract events

Create non-process oriented contract events.

POST
/fm/contract/events

This method requires the ContractEvents:Create permission to be associated with your role.

Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
Audit-User-Idstringheader

(Optional) User Id to use for audit purposes. This header requires the Audit:UserIdOverride permission to be associated with your role.

Maximum string length: 5
Pattern: ^[1-9]{1}[0-9]*$
Time-Zonestringheaderdefault:UTC

Contract events will be created in the specified timezone.

The timezone value can be given in several formats, none of which are case sensitive:

  • As a named time zone, such as 'Europe/Helsinki', 'US/Eastern', or 'MET'.
  • As a string indicating an offset from UTC of the form [H]H:MM, prefixed with a + or -, such as '+10:00', '-6:00', or '+05:30'. A leading zero can optionally be used for hours values less than 10;
Maximum string length: 100
Pattern: ^[a-zA-Z0-9\/\:\+\-\_]+$

Body

application/json

JSON payload

itemsobject[]

Response

application/vnd.catch-e-api.v1+json

Contract event created successfully

attachment_idstring
completed_flagenum<string>default:no
Available options: yes, no
contract_event_action_idstring
contract_event_description_idstring
contract_event_value_idstring
contract_idstringrequired
descriptionstring
due_datestring
event_amountnumber
event_datestring
event_valuestring
posting_class_idstringrequired
status_flagenum<string>default:active
Available options: active, deleted
user_idstring

(Optional) gb_users.user_id to assign the event to. Must reference an existing user. When omitted, the event is assigned to the authenticated (audit) user.

Example: 100000